﻿@{ 
    var isScan = Convert.ToInt32(ViewData["isScan"]);
    int isTaoPhieu = 1;
    if(ViewData["isTaoPhieu"]!=null) isTaoPhieu = Convert.ToInt32(ViewData["isTaoPhieu"]);
    Account acc = ViewData["acc"] as Account;
}

<div class="iq-sidebar">
    <div class="iq-sidebar-logo d-flex justify-content-between">
        <a asp-action="Index" asp-controller="Home" class="logo">
            <img src="~/assets/images/logo.png" width="45" class="img-fluid" alt="">
        </a>
        <div class="iq-menu-bt-sidebar">
            <div class="iq-menu-bt align-self-center">
                <div class="wrapper-menu">
                    <div class="main-circle"><i class="ri-arrow-left-s-line"></i></div>
                    <div class="hover-circle"><i class="ri-arrow-right-s-line"></i></div>
                </div>
            </div>
        </div>
    </div>
    <div id="sidebar-scrollbar">
        <nav class="iq-sidebar-menu">
            <ul id="iq-sidebar-toggle" class="iq-menu">
                @if (isScan == 1)
                {
                    <li>
                        <a asp-action="ScanBarcode" asp-controller="VanPhongSo" class="iq-waves-effect" style="color: #166fbf;margin-bottom:5px;">
                            <i class="ri-send-plane-2-line"></i>
                            <span>Scan file cho chứng từ</span>
                        </a>
                    </li>
                }

                @if (isTaoPhieu == 1)
                {

                    <li>
                        <a href="/vanphongso/timkiem" class="iq-waves-effect" style="color: #166fbf;margin-bottom:5px;">
                            <i class="ri-search-line"></i>
                            <span>Tìm kiếm chứng từ</span>
                        </a>
                    </li>
                    <li class="active">
                        <a href="#bochungtu" class="iq-waves-effect" data-toggle="" aria-expanded="true">
                            <i class="ri-file-list-3-line"></i>
                            <span>Bộ chứng từ</span>
                            <i class="ri-arrow-right-s-line iq-arrow-right"></i>
                        </a>
                        <ul id="bochungtu" class="iq-submenu collapse show" data-parent="#iq-sidebar-toggle">
                            <li class="">
                                <a href="/VanPhongSo?TrangThai=MoiTao"><i class="ri-file-line"></i>Mới tạo</a>
                            </li>
                            <li>
                                <a href="/VanPhongSo?TrangThai=DaKhoa"><i class="ri-check-double-line"></i>Đã khóa</a>
                            </li>
                            <li>
                                <a href="/VanPhongSo?TrangThai=HoanTat"><i class="ri-check-double-line"></i>Hoàn tất</a>
                            </li>
                            <li>
                                <a href="/VanPhongSo?TrangThai=DaHuy"><i class="ri-close-circle-line"></i>Đã huỷ</a>
                            </li>
                        </ul>
                    </li>

                    <li class="active">
                        <a href="#chitietchungtu" class="iq-waves-effect" data-toggle="" aria-expanded="true">
                            <i class="ri-file-list-3-line"></i>
                            <span>Chi tiết chứng từ</span>
                            <i class="ri-arrow-right-s-line iq-arrow-right"></i>
                        </a>
                        <ul id="chitietchungtu" class="iq-submenu collapse show" data-parent="#iq-sidebar-toggle">
                            <li class="">
                                <a href="/VanPhongSo/ChungTuChiTiet?TrangThai=MoiTao"><i class="ri-file-line"></i>Mới tạo</a>
                            </li>
                            <li class="">
                                <a href="/VanPhongSo/ChungTuChiTiet?TrangThai=DaKhoa"><i class="ri-check-double-line"></i>Đã khóa</a>
                            </li>
                            <li>
                                <a href="/VanPhongSo/ChungTuChiTiet?TrangThai=HoanTat"><i class="ri-check-double-line"></i>Hoàn tất</a>
                            </li>
                        </ul>
                    </li>
                }
                @if (acc.isTruongPhong)
                {

                    <li class="active">
                        <a href="#chitietchungtu" class="iq-waves-effect" data-toggle="" aria-expanded="true">
                            <i class="ri-file-list-3-line"></i>
                            <span>Báo cáo thống kê</span>
                            <i class="ri-arrow-right-s-line iq-arrow-right"></i>
                        </a>
                        <ul id="chitietchungtu" class="iq-submenu collapse show" data-parent="#iq-sidebar-toggle">
                            <li class="">
                                <a href="/vanphongso/baocaotheothoigian" class="iq-waves-effect" style="color: #8c91b6;margin-bottom: 5px;">
                                    <i class="ri-user-2-line"></i>
                                    <span>Báo cáo chung</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="active">
                        <a href="#chitietchungtu" class="iq-waves-effect" data-toggle="" aria-expanded="true">
                            <i class="ri-file-list-3-line"></i>
                            <span>Quản lý tài khoản</span>
                            <i class="ri-arrow-right-s-line iq-arrow-right"></i>
                        </a>
                        <ul id="chitietchungtu" class="iq-submenu collapse show" data-parent="#iq-sidebar-toggle">
                            <li class="">
                                <a href="/vanphongso/taikhoan" class="iq-waves-effect" style="color: #8c91b6;margin-bottom: 5px;">
                                    <i class="ri-user-2-line"></i>
                                    <span>Quản lý tài khoản</span>
                                </a>
                            </li>
                            <li class="">
                                <a href="/vanphongso/phanquyen" class="iq-waves-effect" style="color: #8c91b6;margin-bottom: 5px;">
                                    <i class="fa fa-sitemap"></i>
                                    <span>Phân quyền tài khoản</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                }
            </ul>

        </nav>
        <div class="p-3"></div>
    </div>
</div>